// Copyright (c) 2017, Marty Mills <daggerbot@gmail.com>
// This software is available under the terms of the zlib license.
// See COPYING.md for more information.

extern crate gl_generator;

use std::env;
use std::fs::File;
use std::path::PathBuf;

use gl_generator::{Api, Fallbacks, Profile, Registry, StructGenerator};

fn main () {
    let reg = Registry::new(Api::Gl, (1, 1), Profile::Compatibility, Fallbacks::All, []);
    let out_dir = PathBuf::from(env::var_os("OUT_DIR").unwrap());
    let out_path = out_dir.join("bindings.rs");
    let mut file = File::create(&out_path).unwrap();
    reg.write_bindings(StructGenerator, &mut file).unwrap();
}
